### Method

# Secret Value unref_to_password

since: 0.19.0

#### Declaration [src]

    gchar*
    secret_value_unref_to_password (
      SecretValue* value,
      gsize* length
    )

#### Description [src]

Unreference a `SecretValue` and steal the secret data in `SecretValue` as nonpageable memory.

Available since: 0.19.0

#### Parameters

`length`

  Type: `gsize*`

  The length of the secret.

  The argument will be modified by the function.

#### Return value

Type: `gchar*`

A new password string stored in nonpageable memory which must be freed with `secret_password_free()` when done.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.